public class Ans_5_1 extends MyFrame {
    public void run() {
        int y=150;
        int x=30;
        while (y>=50) {
            // (1) 画面を消す
            clear();
            // (2) 四角形を表示する
            setColor(0,128,0);
            fillRect(x, y, 10, 100); // xとyを用いて表示
            y-=5;
            sleep(0.1);
        }
        while (x<=250) {
            // (1) 画面を消す
            clear();
            // (2) 四角形を表示する
            setColor(0,128,0);
            fillRect(x, y, 10, 100); // xとyを用いて表示
            x+=5;
            sleep(0.1);
        }
    }
}
